=====================================================================
=		     「よつばペイント」更新情報
=====================================================================
  「よつばペイント」の各バージョンでの変更点の一覧です。

=== 1.6.1 (2011/07/07) ==============================================
** 新機能 **
・環境設定「ファイル」に、「バックアップ保存フォルダを使用する」が追
加されました。有効にすると、画像保存時に自動的に作成されるバックアッ
プファイルが、全てそのフォルダ内に作成されるようになります。
・環境設定「ファイル」に、「BMPを常に32bitで保存する」が追加されまし
た。
・表示メニューに「最背面に表示」が追加されました。

** 変更点 **
・複数ビューへの「最前面表示」「最背面表示」指定に対応しました。ま
た、ビューを最大化しても、これら設定は自動的には解除されなくなりまし
た。
・ファイルメニュー「WEB用に保存」で BMPを保存すると、24bit で保存さ
れるようになりました。32bit で保存したいときは、環境設定「ファイル」
で「BMPを常に32bitで保存する」を有効にしてください。
・ファイルメニュー「WEB用に保存」で保存する画像が、自動バックアップ
対象に含まれるようになりました。

** バグ修正 **
・「用紙の新規作成」で単位を mm にして新規作成したとき、徐々に指定数
値が小さくなってしまうことがあったのを修正しました。
・色相カラーウインドウでHSV表示しているとき、正方形グラデーションの
左端が常に黒になってしまっていたのを修正しました。(64bit版のみ)
・各種ツールウインドウをドラッグして、ウインドウ表示位置を仮移動する
ときに表示される枠線の表示が、ドラッグ途中で更新されなくなってしまう
ことがあったのを修正しました。(1.6.0 で発生)

** 注意点 **
・「バックアップ保存フォルダ」を指定するときは、マイドキュメントフォ
ルダなどを指定せず、できれば Cドライブ以外に、パス全体ができるだけ短
い専用フォルダを指定するようにしてください。例えば D:\4paint.bkup
・バックアップファイルは時間と共にどんどん増えていくので、ディスク残
量に注意が必要です。Cドライブの残量があまりにも減ると、Windows が不
安定になる場合があります。このため最初から C: を指定しない方が安全で
す。
・また、パス名が長すぎると、正常にサブフォルダが作成できない可能性が
あります。「マイドキュメント」「デスクトップ」などのWindows定義フォ
ルダは、パス名が非常に長いのでお勧めいたしません。


=== 1.6.0 (2011/04/29) ==============================================
** 64bit 対応 **
・1.6.0 から、32bit版 と 64bit版 の両方に対応しました。
・現在動作確認されているのは、Windows7 x64 版のみです。Vista x64 で
は動作確認されていません。
・32bit版と64bit版は、ほとんど同じ設定を参照します。設定が保存されて
いるレジストリも、両者共通で区別されません。

** 64bit版の違い **
・CPU は SSE2 に対応していなくてはなりません。更に SSE3 にも対応して
いることが強く推奨されます。
・4paint.exe は 4paint64.exeに、extend.ini は extend64.ini に、
logfile.txt は logfile64.txt に変更されています。
・環境設定での設定可能な最大値や、extend64.ini での用紙サイズの上限
などの最大値が拡大されています。

** 新機能 **
・選択範囲ウインドウの選択範囲パネルに、選択範囲の表示をオフにする
「目アイコン」と、選択範囲を一時的に無効にする「無効アイコン」が追
加されました。
・選択範囲ウインドウでのプレビュー画像ドラッグで、選択範囲やマスクの
コピーや合成操作に対応しました。
・プレビューをマスクパネル間にドロップすると、その位置に新規コピーが
作成されます。
・プレビューを他のパネル上にドロップすると、そのパネルに上書き保存さ
れます。
・他のマスク同士を合成したいときは、プレビューを
[Ctrl+Shift+ドロップ]加算、[Ctrl+Alt+ドロップ]減算、
[Ctrl+Shift+Alt+ドロップ]共通部分 のようにしてください。
・表示メニューに、「ビューを最前面に表示」が追加されました。現在対応
しているのは、全てのビューから1つだけです。有効にすると、ビューの最
大化は自動的に解除されます。そして、有効時にいずれかのビューが最大化
されると、この設定は自動的にキャンセルされます。
・環境設定「一般」に、「ペイント中は全てのビューをリアルタイム更新す
る」が追加されました。有効にすると、ペイントストローク途中でも、他の
ビューが同時に更新されるようになります。無効だと、他のビューはストロ
ーク終了時にのみ更新されます。

** 変更点 **
・同梱されているブラシ集 default.pbs の内容が変更されました。ブラシ
集を既にカスタマイズしている方も、一度開いて確認してみるといいかもし
れません。
・ウインドウメニュー「全てのツール配置を初期化」での、デフォルトツー
ルレイアウトが変更されました。
・レイヤウインドウのツールボタンで、「レイヤ初期化」ボタンを「Shift+
クリック」しての「レイヤ透明部分の初期化」に対応しました。
・ヘルプメニュー「バージョン情報」に表示される「メモリ関連情報」が、
使用量/総容量 に表示が変更されました。(以前は 残容量/総容量)
・用紙ウインドウが最大化していないとき、用紙ウインドウ外の背景部分で
も、用紙ウインドウへの自動フォーカス移動機能が動作するようになりまし
た。
・マチエールウインドウでマチエール合成モードを変更すると、常にブラシ
設定変更と認識されるようになりました。
・レイヤウインドウのレイヤパネル右クリックで表示されるメニューに、ク
リップボード関係のコマンドが追加されました。

** バグ修正 **
・タブレットのテールスイッチによる消しゴム機能で、ブラシマチエールの
個別保存機能が正常に動作しないことがあったのを修正しました。
・フィルタ「ぼかし」などのダイアログ表示中のプレビュー更新で、選択範
囲があると、部分的にしか表示更新が行われないことがあったのを修正しま
した。
・ブラシの設定自動保存機能が有効なとき、筆圧ウインドウで設定を変更し
ても、ブラシ設定のアンドゥ機能が有効にならなかったのを修正しました。
・選択範囲ウインドウで、選択範囲パネルをツールボタンにドロップしても
コマンドが機能していなかったのを修正しました。
・ブラシ集などのアイコンをドラッグして移動するとき、移動位置のハイラ
イト表示が、リストの外側にはみ出してしまうことがあったのを修正しまし
た。

** 注意点 **
・最初の 64bit版であるため、今まで正常に動いていた機能でも例外などの
異常動作が発生する可能性があります。外見に違いはなくとも、アセンブラ
で記述されていたプログラム部分は全て書き直されています。おかしいと思
ったときは、お手数ですが 32bit版 と動作を比較してみてください。32bit
版では、プログラムの変更は最小限になっています。
・32bit/64bit に両対応するため、近い将来、32bit版でも SSE2 必須にな
るかもしれません。
・現在はまだ、マルチCPUにはほとんど最適化されていません。
・イメージスキャナの動作確認がなされていません。正常に動作しないかも
しれません。


=== 1.5.4 (2010/12/28) ==============================================
** 変更点 **
・「選択レイヤ変型ツール」のとき、ツールバーにある「自由変型」ボタン
を左クリックすると変型実行、右クリックすると変型初期化されるようにな
りました。
・環境設定に「ファイル」タブが追加されました。これに伴い、以前は「一
般」「素材」タブにあったいくつかの項目が、「ファイル」タブに移動され
ました。
・環境設定「ファイル」に、「インストールフォルダを開く」「自動的に関
連付ける」「画像(*.npf)の関連付け」「スクリプト(*.ncs)の関連付け」が
新たに追加されています。

** バグ修正 **
・ファイルダイアログに追加された「履歴ボタン」が、ダイアログサイズ変
更に正常に対応できていなかったのを修正しました。


=== 1.5.3 (2010/12/10) ==============================================
** 変更点 **
・自由変型の仮変型モード中、ツールバーにある「自由変型」ボタンを左ク
リックすると変型実行、右クリックすると変型キャンセルされるようになり
ました。
・ツールバーのボタンが、マウス右ボタンでもクリックできるようになりま
した。自由変型ボタン以外は、右クリックしても動作に違いはありません。

** バグ修正 **
・大きな用紙にペンで描画したとき、ストロークの終わりで動作が遅延して
しまうことがあったのを修正しました。(1.5.1 以降でのみ発生)


=== 1.5.2 (2010/12/08) ==============================================
** 新機能 **
・パターンウインドウに、登録パターンの「色置換機能」が追加されました。
この機能を使うと、例えば、パターンの左上の色を現在のパレットの色に置
き換えたりするできます。
・ファイルメニューに「WEB用に保存」が追加されました。WEB用に画像を保
存しても、その用紙のファイル名は変更されません。また、保存するときに、
必要ならばサイズ変更できます。保存できる画像形式は BMP/JPG/PNG です。

** 変更点 **
・画像以外のファイルを開く/保存するときのファイルダイアログで、フォ
ルダ履歴機能に対応しました。
・「選択範囲の表示」で選択範囲を非表示にしているとき、何れかの選択範
囲を操作する機能を実行すると、常に選択範囲が「表示状態」に切り替わる
ように変更されました。
・パターンの色置換機能拡張に伴い、同梱されている default.pts がかな
り変更されました。1.5.1 以前の物と置き換えてください。

** バグ修正 **
・「自動選択」「バケツ」ツールオプションで対象を「指定レイヤ」にして
いるとき、新しい用紙を開くと、直前の指定レイヤ番号が他の用紙にまで継
承されてしまっていたのを修正しました。そのような場合は、他の用紙での
既定の対象は「アクティブレイヤ」になります。

** 注意点 **
・パターン集ファイル(*.pts)を開いたとき、色置換機能が有効なパターン
は、1.5.1 以前のバージョンでは無視されます。
・スクリプトのバージョンが変更されました。1.5.2 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.5.1 (2010/11/23) ==============================================
** 新機能 **
・「自動選択」「バケツ」ツールのオプションにある「対象」で、任意のレ
イヤを指定することができるようになりました。「対象」としてフォルダを
指定すると、フォルダ結合画像が参照されます。 (*1)
・トーン集ウインドウの「画像ファイルから作成」で、jpg/png/gif 形式フ
ァイルからの読み込みに対応しました。

** 変更点 **
・「水彩+にじみ」ブラシで、色が急に白くなってしまう現象が緩和されま
した。多少白っぽくなるのは仕様です。 (*2)
・レイヤトーンが設定されているレイヤを「下のレイヤと統合」するとき、
上にあるレイヤのレイヤトーンは、レイヤに結合してから統合されるように
なりました。 (*3)
・(*1) の修正に伴い、「自動選択」「バケツ」ツールオプションの「対象」
は、各用紙ウインドウごとに独立して指定されるようになりました。

** バグ修正 **
・「レイヤフォルダの統合」をしたとき、クリッピング子レイヤ以外のレイ
ヤトーンが全て無視されていたのを修正しました。 (*4)
・「水彩+にじみ」ブラシで塗ったときの画面更新範囲が、正しい範囲から
わずかにズレてしまうことがあったのが修正されました。 (*5)
・「水彩+にじみ」で描画したあとに「水彩にじみ」を実行すると、例外が
発生することがあったのを修正しました。
・起動時に、パターンウインドウが常に「ポップアップ表示」有効状態にな
ってしまっていたのを修正しました。

** 注意点 **
・(*1) の「レイヤ指定」は、「下から何番目のレイヤ」かを指定している
ので、レイヤ削除などをしてレイヤの並びが変わると、以前とは違うレイヤ
が参照されるようになることがあります。
・スクリプトを再生したとき、(*2) (*3) (*4) (*5) に関係した部分は、以
前のバージョンとではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.5.1 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.5.0 (2010/10/29) ==============================================
** パターン機能 **
・パターン機能に対応しました。
・ツールボックスに、パターンを選択するためのパターンボタンが追加され
ました。このボタンにあるチェックボックスを有効にすると、全ての描画で
パターン機能が有効になります。
・パターンを登録しておくためのパターンウインドウが追加されました。操
作は、トーンウインドウに非常に似ています。
・環境設定「素材」に「起動パターン集」が追加されました。ここで起動時
に自動的に読み込むパターン集を指定します。

** その他の新機能 **
・GIF形式画像の読み込みに対応しました。(保存には対応していません)
・ペン先集ウインドウの「画像ファイルから作成」で、jpg/png/gif 形式フ
ァイルからの読み込みに対応しました。
・トーンウインドウのトーンメニューに、「選択範囲内画像から作成」が追
加されました。
・トーン/パターン/ペン先集ウインドウの「選択範囲内画像から作成」で、
+Shift を押しながらメニューコマンドを実行すると、レイヤ画像から取り込
まれるようになりました。

** 変更点 **
・拡大表示しているときなどに矩形選択ツールで矩形選択したとき、微妙に
表示位置と実際の実行位置がズレることがあったのが修正されました。
・ツールボックスのトーンボタンやパターンボタン上で表示されるツールヘ
ルプに、画像サイズが表示されるようになりました。
・画像トーンの最小サイズが 8 に変更されました。 (以前は10)
・環境設定の各タブのレイアウトが少し調整されました。

** バグ修正 **
・選択レイヤ移動ツールで、カーソルキーによる仮移動を開始すると、仮移
動の表示が正しく更新されないことがあったのを修正しました。
・レイヤ移動ツールでカーソルキーによる仮移動を開始すると、オプション
ウインドウにある数値エディットボックスに異常な数値が表示されることが
あったのを修正しました。
・単色レイヤに対して、レイヤの「90度単位回転」が実行できなかったのを
修正しました。
・レイヤの「90度単位回転」コマンドが、メインウインドウのレイヤメニュ
ー内にしか表示されていなかったのを修正しました。
・トーンウインドウにあるトーンの「反復」オプションで、パターンが正し
く反復されていなかったのを修正しました。 (*1)
・グラデーションウインドウをポップアップ表示したとき、用紙への自動フ
ォーカス移動機能によりウインドウが自動的に閉じてしまっていたのを修正
しました。
・ショートカット設定ダイアログで「キー入力」したとき、キー選択コンボ
ボックスがグレイ表示のままになることがあったのを修正しました。
・環境設定「素材」の「起動グラデーション集」を変更しても、変更が保存
されていなかったのを修正しました。
・環境設定「ツール」の「アイテムリストの余白クリックでアイテムを追加
する」を変更したとき、グラデーションウインドウとマチエールトーンウイ
ンドウに変更が反映されていなかったのを修正しました。

** 注意点 **
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョン
とではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.5.0 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.4.5 (2010/09/20) ==============================================
** 新機能 **
・プレビュー付きファイルダイアログでの「フォルダ履歴」に対応しました。
ファイル一覧の右肩に追加されているボタンからフォルダ履歴を扱えます。
・ステータスバーの「画像サイズ」表示部分で、表示内容を「画像サイズ」
「物理メモリ」「仮想メモリ」から選択できるようになりました。ステータ
スバーに追加された▼ボタンで選択できます。

** 変更点 **
・PS以外で作成されたフォルダを含むPSD形式ファイルの、読み込みの互換
性が向上しました。
・グリッド・ガイド線の動作が少し修正されました。
・レイヤをクリップボードにコピーしたとき、レイヤ名に「(コピー)」が付
加されるようになりました。

** バグ修正 **
・レイヤや選択範囲の名前を空にして NPF形式 で保存すると、正常に画像
が開けなくなっていたのを修正しました。


=== 1.4.4 (2010/09/03) ==============================================
** 新機能 **
・フィルタメニューに「モザイク」が追加されました。

** 変更点 **
・グリッド・ガイド線の動作が少し調整されました。
・ショートカット設定ダイアログに、現在のキー設定を削除する「削除」ボ
タンが追加されました。また、最後にキー設定したコマンドが、ダイアログ
を開いたとき自動的に選択されるようになりました。

** バグ修正 **
・ショートカット設定ダイアログの「記号(文字)」で "Ctrl+@" を指定した
とき、ショートカットが正常に動作しなかったのを修正しました。

** 注意点 **
・スクリプトのバージョンが変更されました。1.4.4 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.4.3 (2010/08/21) ==============================================
** 新機能 **
・フィルタメニューに「ぼかし(強さ指定)」「中間値」が追加されました。
・ウインドウメニューに「ツールサイズ変更の禁止」が追加されました。
・表示メニューに「回転解除して全体表示」が追加されました。メニューに
は追加されていませんが、ショートカットとしては「回転解除して等倍表示」
も追加されています。

** 変更点 **
・レイヤフォルダを選択しているときの、選択範囲メニュー「レイヤの不透
明度から作成」「レイヤの透明部分から作成」「レイヤの輝度から作成」に
対応しました。フォルダ内レイヤを対象に実行されます。
・フィルタを実行したとき、レイヤの外周部分が白っぽくなったりするのが
改善されました。 (*1)

** 注意点 **
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョン
とではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.4.3 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.4.2 (2010/07/21) ==============================================
** 新機能 **
・選択レイヤ変型ツールで、変型無しの初期状態のときダブルクリックした
り Enter を押したりすると、最後に実行された変型が再呼び出しされるよ
うになりました。記憶される変型は、全用紙ウインドウ共通で1つだけです。

** 変更点 **
・ツールボックスにあるグラデーションボタンにも、「前景色・背景色マー
ク」や「設定個別記憶マーク」が表示されるようになりました。
・グラデーションエディタで、「前景色」「背景色」が設定された制御点に
は、それぞれ F と B の文字が表示されるようになりました。

** バグ修正 **
・グラデーションウインドウがポップアップモードのときに、グラデーショ
ンエディタを開くと、グラデーションウインドウが自動的に閉じてしまって
いたのを修正しました。
・グラデーションエディタで「前景色」「背景色」が設定されてるとき、カ
ラーウインドウなどで前景色や背景色が変更されても、変更がグラデーショ
ンエディタのプレビューに正常に反映されていなかったのを修正しました。
・選択レイヤ変型ツールで変型のない初期状態のとき、変型実行ができてし
まったり、一時変型モードでのESCによるモード終了ができなくなっていた
のを修正しました。(1.4.1 でのみ発生)


=== 1.4.1 (2010/07/10) ==============================================
** 新機能 **
・グラデーションエディタで色を指定するとき、「前景色」「背景色」を選
択することができるようになりました。これにより、現在の色に連動するグ
ラデーションを簡単に作成することができるようになります。(*1)
・グラデーションエディタで、選択色を複数にコピーする「コピー」コマン
ドが追加されました。

** 変更点 **
・グラデーションウインドウとトーンウインドウで、アイコンリスト上での
右クリックメニューに対応しました。
・未対応だったグラデーションウインドウでのショートカットに対応しまし
た。ショートカットエディタでの「グループ」に「グラデーション集」が追
加されています。

** バグ修正 **
・選択レイヤ変型ツールで仮変型したあとに変型をキャンセルすると、変型
がない初期状態のときだけは、表示位置が右下に 2pixel ズレて表示されて
いたのを修正しました。
・選択レイヤ変型ツールでの変型が正常に操作できなくなっていたのを修正
しました。(1.4.0 でのみ発生)
・選択レイヤ変型ツールのときに用紙を開くと、正常にバウンディングボッ
クスが表示されなくなっていたのを修正しました。(1.4.0 でのみ発生)

** 注意点 **
・(*1) の修正に伴い、default.gds が更新されています。お手数ですが、
以前の物から置き換えてください。(非必須)
・1.4.1 で保存したグラデーション集ファイル(*.gds) は、1.4.0 では開く
ことができません。


=== 1.4.0 (2010/06/27) ==============================================
** グラデーション機能 **
・グラデーションを登録しておくためのグラデーションウインドウが追加さ
れました。
・ツールボックスの一番下に、グラデーションを選択するためのグラデーシ
ョンボタンが追加されました。
・グラデーションの種類に「線形」「放射形」「円形」が追加されました。
更に、「往復」や「回数指定」「無限繰り返し」などのオプションが追加さ
れました。
・グラデーションを作成するためのグラデーションエディタが追加されまし
た。

** 変更点 **
・環境設定「素材」タブに、起動グラデーション集が追加されました。
・グラデーションオプションにある半透明設定などは、グラデーションウイ
ンドウで [2色固定] を選択しているときのみに有効になります。
・ウインドウメニューからポップアップモードに設定されているウインドウ
選択すると、ポップアップモードを解除するかどうかのメッセージが表示さ
れるようになりました。

** バグ修正 **
・グラデーションツールで、+Ctrl などによる 角度15度限定キー が、実行
時に正常に動作していなかったのを修正しました。
・トリミングツールで仮選択中に新しいビューを開くと、仮選択モードが解
除されていなかったのを修正しました。

** 注意点 **
・スクリプトのバージョンが変更されました。1.4.0 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.3.3 (2010/06/01) ==============================================
** 新機能 **
・レイヤメニュー「変型」に「90度回転」「180度回転」「270度回転」が追
加されました。
・レイヤメニューに、「全レイヤの用紙外領域の削除」が追加されました。
・トリミングツールでのオプションウインドウに、「矩形の選択」メニュー
が追加されました。サイズを自動的に選択する「用紙サイズを選択」「レイ
ヤサイズを選択」「レイヤの有効画像サイズを選択」と、用紙サイズ外には
み出した部分を削除する「用紙サイズに収める」があります。

** バグ修正 **
・レイヤメニュー「変型」の「回転」を実行したとき、レイヤの変型サイズ
が用紙サイズよりも大きいと、回転の中心が用紙サイズの中心からズレてし
まっていたのを修正しました。(*1)
・レイヤ移動ツールで、レイヤ全体を画面外にレイヤサイズが拡大するよう
に移動したとき、レイヤサイズが必要以上に大きくなってしまうことがあっ
たのを修正しました。(*2)
・用紙サイズ外に拡大した選択範囲が既にあるときに、選択範囲ツールで選
択範囲を加算したりしすると、選択範囲が用紙サイズ内に切りつめられてし
まっていたのを修正しました。(*3)

** その他の注意点 **
・スクリプトを再生したとき、(*1)(*2)(*3) に関係した部分は、以前のバー
ジョンとではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.3.3 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.3.2 (2010/05/16) ==============================================
** 新機能 **
・ウインドウメニューに、「一部ツールを隠す」「一部隠すツールの設定」
が追加されました。「一部隠すツールの設定」で、どのウインドウを非表示
にするか選択できます。

** 変更点 **
・ツールバーに、「すべてのツールを隠す」「一部のツールを隠す」ボタン
が追加されました。
・ウインドウメニューの項目の並びが、かなり変更されました。
・各ツールウインドウとドッキングウインドウのタイトルバーで表示される
システムメニューから、誤作動の元になる「最大化」「最小化」「元に戻す」
が削除されました。


=== 1.3.1 (2010/05/01) ==============================================
** 新機能 **
・ツールボックスに「消去ツール」が新設されました。図形を選択してその
中を一括して消すことができます。
・表示メニューに、「グリッド交点にスナップ」が追加されました。
・グリッドを表示しているとき、「ガイドツール」からグリッドの交点をド
ラッグして、「グリッド原点」を平行移動できるようになりました。
・レイヤトーンメニュー「用紙トーンに登録」で、レイヤに設定されている
レイヤトーンを「用紙トーン集」に取り出すことができるようになりました。
ただし、用紙トーンに同じトーンがあるときは追加されず、単に選択されま
す。

** 変更点 **
・「消去ツール」と「ガイドツール」が、ツールボックス内の独立したボタ
ンとして追加されました。このためツールボタンの配置が少し変更されてい
ます。

** バグ修正 **
・表示をズームしたとき、グリッドやガイド線の表示が正常に更新されない
ことがあったのを修正しました。
・オプションウインドウをドッキングした直後などで、オプションウインド
ウの表示が正常に行われなくなることがあったのを修正しました。

** その他の注意点 **
・スクリプトのバージョンが変更されました。1.3.1 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.3.0 (2010/04/15) ==============================================
** レイヤトーン機能 **
・レイヤに1つのトーンパターンを設定できるようになりました。これを「レ
イヤトーン機能」といいます。
・レイヤトーンとして設定できるトーンは、現在選択されている「用紙トー
ン」です。
・レイヤトーンを設定すると、レイヤの「レイヤα」にトーンパターンが常
に合成されるようになります。
・レイヤトーン機能は少量のメモリしか使用しません。

** レイヤトーンの用途 **
・レイヤトーンとして網トーンなどを指定すると、そのレイヤが1枚のスク
リーントーンのように機能します。
・レイヤトーンとしてテクスチャを指定すると、レイヤにテクスチャの質感
を合成することができます。
・レイヤトーンとして指定しておくと、後でトーンを簡単に違うトーンに変
更することができます。

** レイヤトーンの使い方 **
・設定したいトーンを「用紙トーン」で選択します。
・レイヤメニュー「レイヤトーンを設定」で、現在の用紙トーンがレイヤト
ーンになります。
・レイヤトーンは、いつでも他のトーンに変更することができます。変更し
たいときは、単にもう一度違うトーンを選択して「レイヤトーンを設定」を
実行してください。
・レイヤトーンを削除するには、レイヤメニュー「レイヤトーンの削除」を
実行します。
・設定されているレイヤトーンをレイヤαに合成して、レイヤトーンを削除
するには、レイヤメニュー「レイヤトーンの定着」を実行します。

** レイヤトーンでの注意事項 **
・既に設定されているレイヤトーンの再編集には現在対応していません。レ
イヤトーンを変更したいときは、用紙トーンから新たに設定し直す必要があ
ります。
・レイヤに平行移動や拡大縮小などの変型操作をしても、レイヤトーンは変
型の影響を全く受けません。設定してあるトーンパターンが常に適用されま
す。網トーンなどを設定していて網を平行移動したいときは、平行移動した
トーンを再設定し直す必要があります。
・レイヤトーンの設定されているレイヤをnpf形式で保存したとき、1.3.0
より古いバージョンではそのレイヤ画像を正常に読み込むことができません。
そのような場合はエラーが表示され、そのレイヤの画像だけ無視されます。
・PSDで保存したり、そのレイヤをBMP/PNGで保存すると、レイヤトーンは
「レイヤに定着」して保存されます。

** 変更点 **
・レイヤ変型ツールでレイヤフォルダを選択しているとき、フォルダ内に有
効なレイヤが1つ以上あるときは常に変型可能になりました。(以前はレイヤ
が1つしかないときは変型できなかった)

** バグ修正 **
・レイヤ移動ツールで「単色レイヤ」全体を単に平行移動したとき、レイヤ
の表示色が黒に変わってしまっていたのを修正しました。(*1)
・クリッピンググループに属するレイヤの表示状態を変更したとき、表示更
新範囲が不適切なときがあったのを修正しました。
・npf画像を開いていてスクリプト保存しようとするとき、ファイル名にnpf
が自動的に付加されてしまっていたのを修正しました。

** その他の注意点 **
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョンと
ではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.3.0 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。

** extend.ini 変更点 **
・新規：タブレットのカーソル座標のマッピングを(線形)変換する
[brush] tabletLinearTransX, tabletLinearTransY


=== 1.2.3 (2010/03/15) ==============================================
** 新機能 **
・レイヤモードに、「色相」「彩度」「カラー」「輝度」が追加されました。
・グラデーションツールでのオプションウインドウに、「半透明有効」「始
点濃度」「終点濃度」「単色」が追加されました。
・グラデーションツールで「半透明有効」にして「始点濃度」「終点濃度」
を薄くすると、半透明グラデーションを作成することができます。「単色」
を有効にすると、現在の色だけで半透明グラデーションにできます。

** 変更点 **
・libpng が、1.2.43 に更新されました。

** バグ修正 **
・PSD でレイヤフォルダを保存したとき、レイヤフォルダの並び方がある条
件を満たしていると、レイヤフォルダ構造が間違った状態で保存されてしま
っていたのを修正しました。
・「透明水彩」ブラシで用紙の端に描画したとき、用紙端の描画が不適切に
ぼかされてしまっていたのを修正しました。 (*1)

** 注意点 **
・グラデーションオプションの「単色」は、「半透明有効」にしていないと
指定できません。また有効にしたときは、「始点濃度」か「終点濃度」を
100% から変更しないと、結果として全体が1色で塗られることになります。
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョンと
ではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.2.3 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.2.2 (2010/03/04) ==============================================
** 新機能 **
・レイヤモードに、「ソフトライト」「ハードライト」「ビビッドライト」
「リニアライト」「ピンライト」が追加されました。
・選択範囲ウインドウのツールボタン「単色レイヤ=>選択範囲」をクリック
するとき、「Shift+クリック」で選択範囲に加算、「Alt+クリック」で選択
範囲に減算、「Shift+Alt+クリック」で選択範囲との共通部分、に対応しま
した。
・選択範囲ツールで、カーソルキーによる選択範囲の移動に対応しました。
Enter キーを押して仮移動を確定させる必要があります。

** 変更点 **
・「下のレイヤと統合」のアルゴリズムが一部変更されました。レイヤモー
ドの組み合わせによっては、以前とはかなり結合結果が異なります。(*1)
・文字入力ダイアログの表示位置とサイズが、次回起動時でも記憶されるよ
うになりました。
・文字入力ダイアログを表示しているときは、用紙への自動フォーカス移動
機能が無効になるようになりました。

** バグ修正 **
・「焼き込み」「覆い焼き」レイヤを「下のレイヤと統合」したとき、レイ
ヤモードの効果が無効になっていたのを修正しました。(*2)
・「ペン」「ペン+境界」「水彩+にじみ」ブラシで用紙の端に描画すると、
用紙端の描画が不適切にぼかされてしまっていたのを修正しました。 (*3)
・編集メニュー「塗りつぶし」で、レイヤの透明度が保護されているとき、
レイヤの不透明な部分を含む最小範囲のみが塗りつぶされていたのを、レイ
ヤ全体が塗りつぶされるように修正しました。(*4)
・レイヤメニュー「下のレイヤに移動」をしたとき、上にあったレイヤのク
リアされた部分が常に黒で初期化されていたのを、レイヤ初期化色で初期化
されるように修正しました。(*5)

** 注意点 **
・スクリプトを再生したとき、(*1)(*2)(*3)(*4)(*5) に関係した部分は、
以前のバージョンとではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.2.2 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.2.1 (2010/02/21) ==============================================
** 新機能 **
・単色レイヤに対しての、「レベル補正」「ガンマ補正」「明度・コントラ
スト」「シャープ」「シャープ強」「シャープカスタム」「ネガポジ反転」
「輪郭抽出」フィルタに対応しました。
・文字入力ダイアログのサイズ変更に対応しました。

** 変更点 **
・npf を関連付けすると、ncs も同時に関連付けされるようになりました。
(extend.ini [tool] regShellFileType)

** バグ修正 **
・編集メニュー「塗りつぶし」が、常にグレーで塗りつぶされるようになっ
てしまっていたのを修正しました。(1.2.0 でのみ発生) (*1)
・選択レイヤ移動ツールで、カーソルキーで選択部分を一時移動したとき、
実行時に選択した部分ではなく全体が移動してしまうことがあったのを修正
しました。
・数値エディットボックスで、数値全体が選択されているとき、-(マイナス)
が入力できなかったのを修正しました。

** 注意点 **
・スクリプトを再生したとき、(*1) に関係した部分は、1.2.0 とはその再生
結果が異なります。
・スクリプトのバージョンが変更されました。1.2.1 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。

** extend.ini 変更点 **
・変更：.npf/.ncs ファイルを関連付けする [config] regShellFileType


=== 1.2.0 (2010/02/17) ==============================================
** 単色レイヤの基本仕様 **
・レイヤアルファ情報だけを持つ「単色レイヤ」(8bpp) が新設されました。
このレイヤは濃淡だけを表現します。
・単色レイヤは任意の1色を表示色に設定できます。
・使用メモリ量は従来のカラーレイヤの 1/4 (25%) と省メモリです。
・単色レイヤは、PSD形式ではカラーレイヤとして保存されます。

** 単色レイヤの用途 **
・表示色を赤にして 50%不透明度表示 にすると、「クイックマスク」と見
なすことができます。初期表示設定は、クイックマスク表示のため (赤 50%)
に設定されています。
・表示色を黒に設定すれば「8bit グレイスケールレイヤ」とみなすことが
できます。
・表示色を任意の色にしたときは、「カラートーン」とみなすことができま
す。

** 単色レイヤと選択範囲の相互変換 (クイックマスク) **
・単色レイヤと選択範囲は相互に変換することができます。この変換を使う
ことで、いわゆる「クイックマスク」に近い操作が可能になります。
・単色レイヤに描画された部分(不透明な部分)が、選択範囲の描画可能な内
側になります。
・初期表示設定は、クイックマスクに表示が近くなるように、表示色 赤、
50% 不透明度、通常レイヤモードに設定されています。
・単色レイヤはクイックマスクとは違い、レイヤウインドウにいくつでも追
加することができます。また、後で選択範囲に変換しなくてはいけないわけ
でもありません。

** 単色レイヤへの描画 **
・単色レイヤへの描画では、レイヤのα情報だけが描画されます。このとき
描画色は、グレイスケールに変換されて使用されます。
・暗い色で塗った場所が不透明な部分になります。明るい色で塗ると、不透
明だった部分を再び透明に戻すことができます。つまり、単色レイヤでは
「消しゴム」を使わなくても描画を消すことができます。
・描画に色成分が必要な「フィルタ」ブラシの一部と「色成分置換」ブラシ、
「色の調整」のような色を扱うフィルタなどは、実行しても意味がありませ
ん。

** 単色レイヤとカラーレイヤの変換 **
・単色レイヤとカラーレイヤは相互に変換することができます。
・カラーレイヤを単色レイヤに変換するときは、レイヤの色情報は失われ、
「レイヤアルファ」あるいは「レイヤ輝度」から濃淡が作成されます。

** 単色レイヤ関係の新機能 **
・レイヤメニュー「単色レイヤの追加」で単色レイヤを追加できます。
・「表示色変更」で、単色レイヤの表示色を現在選択されている色に変更で
きます。
・「この設定を既定値にする」で、単色レイヤ作成時の初期設定を、現在選
択されている「単色レイヤ」の 表示色/不透明度/レイヤモード に変更でき
ます。
・「カラーレイヤのアルファから変換」で、カラーレイヤの不透明度を用い
てカラーレイヤを「単色レイヤ」に変換できます。
・「カラーレイヤの輝度から変換」で、カラーレイヤの色成分の輝度を用い
てカラーレイヤを「単色レイヤ」に変換できます。
・「カラーレイヤに変換」で、単色レイヤをカラーレイヤに変換できます。
・「選択範囲を削除して単色レイヤに」で、現在ある「選択範囲」を削除し
て「単色レイヤ」に変換することができます。
・「単色レイヤを削除して選択範囲に」で、現在選択されている「単色レイ
ヤ」を削除して「選択範囲」に変換することができます。
・「グレイスケールでレイヤ保存」で、現在選択されている単色レイヤをグ
レイスケール画像として保存することができます。ただし、BMP で保存する
と、グレイスケールではなくグレイカラーパレットを持つ 256色画像として
保存されます。

・レイヤウインドウのツールボタンに、「単色レイヤの追加」ボタンが追加
されました。
・選択範囲ウインドウのツールボタンに、「選択範囲=>単色レイヤ」「単色
レイヤ=>選択範囲」ボタンが追加されました。それぞれ「選択範囲を削除し
て単色レイヤに」「単色レイヤを削除して選択範囲に」機能に対応します。
・「レイヤの読み込み」でグレイスケールの PNG を開いたとき、「単色レ
イヤ」として読み込むかどうかの確認ダイアログが表示されるようになりま
した。

** そのほかの新機能 **
・ディスクに保存された画像ファイルを開いていて、その画像ファイルが外
部プログラムから更新されたとき、画像を最新の状態に復帰するかどうかを
確認するようになりました。
・起動環境データフォルダにある extend.ini が、自動的に最新の配布ファ
イルに更新されるようになりました。

** 変更点 **
・既に起動しているときの、関連付けによるファイルオープンへの対応がよ
り向上しました。
・選択範囲ウインドウのツールボタン「反転」のデザインが変更されました。

** バグ修正 **
・「レイヤの読み込み」で、1bpp/4bpp 画像が正常に読み込めていなかった
のを修正しました。(*1)

** 注意点 **
・単色レイヤを含む npf 形式画像を、1.1.6 以前のバージョンで開くと、
単色レイヤはカラーレイヤとして読み込まれます。
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョン
とではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.2.0 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。

** extend.ini 変更点 **
・新規：extend.ini のファイルバージョン [config] fileVersion


=== 1.1.6 (2010/02/04) ==============================================
** 新機能 **
・.npf 形式への自動的な関連付けに対応しました。この機能を有効にする
ためには、extend.ini [config] regShellFileType を 1 に変更する必要が
あります。また、既に起動しているときのエクスプローラからの画像オープ
ンにも対応しました。
・ズームツールで範囲選択ズームをするとき、設定された距離よりも短いド
ラッグ操作は無視されるようになりました。既定値は 20 pixel です。
(extend.ini [tool] areaZoomDragMin 参照)

** バグ修正 **
・Windows Vista/7 で、レイヤウインドウに表示されるフォルダアイコンが、
折りたたんでいるときも展開しているときと同じアイコンが表示されていた
のを修正しました。
・レイヤウインドウでフォルダを折りたたんでいると、上方にあるレイヤで
「Alt+境界クリック」が効かなくなっていたのを修正しました。
・レイヤウインドウでフォルダを折りたたんでいるとき、キーボードショー
トカットで選択レイヤを変更すると、折りたたまれたフォルダ内のレイヤに
選択が移動してしまっていたのを修正しました。

** extend.ini 変更点 **
・新規：.npf ファイルを関連付けする [config] regShellFileType
・新規：ズームツールで範囲選択ズーム操作をするとき、ドラッグ範囲とし
て認識する最小 pixel 距離 [tool] areaZoomDragMin


=== 1.1.5 (2010/01/22) ==============================================
** 新機能 **
・レイヤフォルダの折りたたみに対応しました。フォルダを折りたたむため
にはフォルダアイコンをダブルクリックしてください。
・PSD画像での、フォルダ折りたたみの保存と読み込みに対応しました。

** 注意点 **
・レイヤフォルダの折りたたみに関する操作は、アンドゥ対象にはなりませ
ん。また、スクリプトにもフォルダ折りたたみ状態は記録されません。
・アンドゥやリドゥしたレイヤ操作によっては、折りたたまれているフォル
ダが自動的に展開されることがあります。
・レイヤ選択ツールなどでレイヤを自動選択するとき、選択したレイヤが折
りたたまれたフォルダに所属していると、その親フォルダが選択されます。

** 変更点 **
・初回起動時に、ブラシ半径の最大値が 300/400/500 に自動的に更新され
ます。更新される値は、CPUの速度に合わせて3つのうちのどれかが自動的に
選ばれます。(既にこれよりも大きい半径が設定されているときは、変更さ
れません)
・レイヤウインドウのレイヤフォルダ表示に、フォルダ内に含まれるパネル
の合計数が、[フォルダ] の左に表示されるようになりました。
例えば 6つ含まれているときは、"6 [フォルダ]" のように表示されます。
・レイヤフォルダを選択しているときにレイヤを追加したときは、選択され
ていたフォルダ全体の直上に追加されるように仕様が変更されました。
(以前はフォルダ直後に子レイヤとして追加されていた)
・レイヤパネル上にカーソルがあるときに、ステータスバーへ表示されるヘ
ルプメッセージが、適切でなかったのを修正しました。

** バグ修正 **
・レイヤフォルダが選択されているとき、レイヤモードとレイヤ保護状態が
変更可能になっていたのを、変更できないように修正しました。
・レイヤウインドウのレイヤフォルダで、 Ctrl+プレビュー をクリックし
ての「レイヤマスク=>選択範囲」機能を実行すると、コマンドエラーが表示
されていたのを修正しました。フォルダではこのような操作はできません。
・レイヤウインドウにレイヤフォルダが混在しているとき、Alt+レイヤパネ
ル境界線 クリックによる「下のレイヤでクリップ」が、不適切な場合にも
実行できていたのを修正しました。


=== 1.1.4 (2010/01/13) ==============================================
** 新機能 **
・レイヤメニューの「変型」に、「上下反転」「左右反転」が追加されまし
た。この変型機能は、「選択レイヤ変型ツール」で「上下反転」や「左右反
転」するのと同じ動作になります。選択範囲やレイヤフォルダにも対応して
います。
・フィルタメニューに「ぼかし」「ぼかし強」「輪郭抽出」が追加されまし
た。
・PSD画像で、折りたたまれたレイヤフォルダの読み込みに対応しました。
(現在、レイヤフォルダは展開された状態で読み込まれます)

** 変更点 **
・レイヤメニュー「変型」の「平行移動」が、選択範囲やレイヤフォルダに
対応しました。「選択レイヤ変型ツール」で「平行移動」するのと同じ動作
になります。
・レイヤフォルダが選択されているときでも、「レイヤの読み込み」が実行
できるようになりました。
・レイヤメニュー「全レイヤの統合」が、サブメニューに移動されました。
・画像やレイヤを開くダイアログで選択できる画像形式フィルタに、すべて
の画像形式を選択する「画像 files」が追加されました。

** バグ修正 **
・レイヤフォルダを選択しているとき、ツールを切り替えない一時的な「自
由変型」機能が有効になっていなかったのを修正しました。
・ブラシの「回転」が有効でかつジッター「位置%」が有効のとき、ブラシ
の回転角がジッター「位置%」に影響を受けてしまっていたのを修正しまし
た。 (*1)
・PSD画像 を開いたとき、正しくレイヤフォルダを認識できないことがあっ
たのを修正しました。
・PSD画像 を開いたとき、レイヤフォルダの表示状態/不透明度/名前が正し
く読み込まれていなかったのを修正しました。
・PSD画像 を保存したときのレイヤフォルダ構造に、微妙な誤りがあったの
を修正しました。

** 注意点 **
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョン
とではその再生結果が異なります。
・スクリプトのバージョンが変更されました。1.1.4 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.1.3 (2010/01/07) ==============================================
** 新機能 **
・「選択レイヤ変型ツール」がレイヤフォルダに対応しました。フォルダ内
の各レイヤに対しての全体変型だけでなく、選択部分の切り取り変型にも対
応しています。
・フィルタメニューに「シャープ」「シャープ強」「シャープ(カスタム)」
が追加されました。

** バグ修正 **
・「文字入力ツール」で「文字入力ダイアログ」を開いているとき、用紙を
クリックすることによる「文字入力位置の移動機能」が動作しなくなってい
たのを修正しました。 (1.1.0 以降で発生)

** 注意点 **
・「選択レイヤ変型ツール」でレイヤフォルダを変型するときに表示される
プレビュー画像は、フォルダ内のレイヤを統合した画像になります。このた
め、仮変型プレビューの表示中は、フォルダ内のレイヤ表示が実際とは変わ
ってしまうことがあります。
・スクリプトのバージョンが変更されました。1.1.3 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.1.2 (2009/12/22) ==============================================
** 新機能 **
・「レイヤフォルダの統合」に対応しました。レイヤフォルダを統合するた
めには、フォルダ内の最初にある表示レイヤが「標準レイヤ」である必要が
あります。

** バグ修正 **
・レイヤフォルダがあるときに「新規レイヤとして貼り付け」をすると、フ
ォルダ階層構造が壊れてしまうことがあったのを修正しました。
・レイヤフォルダが選択されているとき、「新規レイヤとして貼り付け」が
実行できなかったのを修正しました。
・レイヤが選択されているときでも、「レイヤフォルダの解除」が実行でき
てしまっていたのを修正しました。
・レイヤフォルダを含むレイヤフォルダで選択部分移動すると、移動後の内
部フォルダの名前に「のコピー」が付いてしまっていたのを修正しました。

** 注意点 **
・「レイヤフォルダの統合」をしたとき、フォルダ内に標準レイヤ以外のレ
イヤモードを含んでいると、統合後の表示が統合前とは大きく変わってしま
う場合があります。
・スクリプトのバージョンが変更されました。1.1.2 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.1.1 (2009/12/19) ==============================================
** 新機能 **
・レイヤフォルダを選択しているときの「レイヤの複製」による、「フォル
ダ全体の複製」に対応しました。

** バグ修正 **
・レイヤウインドウで、レイヤフォルダをドラッグして他のフォルダパネル
上にドロップすると、レイヤフォルダ構造が壊れてしまうことがあったのを
修正しました。
・すべてのレイヤがフォルダ内にあるときにその親フォルダを削除すると、
コマンド実行エラーが表示されていたのを修正しました。このようなフォル
ダは削除できません。
・レイヤウインドウで、レイヤパネルを左右にドラッグしてレイヤ階層位置
を変更しようとするとき、正しくレイヤを左右にスライドできない条件が複
数あったのを修正しました。

** 注意点 **
・スクリプトのバージョンが変更されました。1.1.1 で作成したスクリプト
ファイルは、以前のバージョンでは再生できません。


=== 1.1.0 (2009/12/18) ==============================================
** レイヤフォルダ機能 **
・レイヤフォルダ機能に対応しました。レイヤメニューの「レイヤフォルダ
の追加」でフォルダを追加することができます。
・レイヤウインドウのツールボタンに「フォルダ作成」ボタンが追加されま
した。(ツールボタンの置換を行っているときは、ボタン配置の変更に注意が
必要です)
・レイヤフォルダ内のレイヤはそのままに、フォルダだけを削除する「レイ
ヤフォルダの解除」が追加されました。
・フォルダ選択時に「レイヤの削除」を実行すると、フォルダ全体が削除さ
れます。
・フォルダ選択時には、レイヤ描画系のツールは実行できません。
・フォルダでの「レイヤ移動ツール」による、「フォルダ全体移動」「フォ
ルダ内全レイヤの選択部分の移動」に対応しています。ただし「選択部分移
動」は多くのメモリを使用するため注意が必要です。
・フォルダでの「レイヤ変型ツール」には対応していません。
・PSD形式 でのレイヤセット(レイヤグループ)の読み込みと保存に対応して
います。

** 注意点 **
・レイヤフォルダ機能に関しては、何らかの不具合が残っている可能性が高
いです。
・1.1.0 で保存した npf形式画像は、1.1.0 以降でしか開けません。
・PSD形式 でのレイヤセットの扱いには、問題が残っている可能性がありま
す。(PSDレイヤセット構造は独自解析であり、正式な仕様が不明なため)
・「下のレイヤでクリップ」されたレイヤが、クリップグループの親を探す
とき、フォルダが途中にあると、そこで検索は終了します。「親レイヤが見
つからないクリップされたレイヤ」は、通常のレイヤと同じ扱いになります。
・スクリプトのバージョンが変更されました。1.1.0 で作成したスクリプト
ファイルは以前のバージョンでは再生できません。

** バグ修正 **
・「レジストダイアログ」で「参照ボタン」からキーファイルを開くと、ダ
イアログの他の項目がリセットされてしまっていたのを修正しました。


=== 1.0.0 (2009/11/20) ==============================================
** お知らせ **
・最初の正式版です。

** 試用について **
・30日間 あるいは 50回起動 するまでは、すべての機能を試用することが
できます。
・試用期間が過ぎると、すべての画像の保存と、クリップボードへのコピー
と切り取りが、実行できなくなります。
・機能制限なく試用するためには、管理者ユーザーである必要があります。
制限ユーザーでは機能制限が解除されません。

** 新機能 **
・PNG/JPG 形式画像の保存機能が使用可能になりました。
・クリップボードへのコピーと切り取り機能が使用可能になりました。
・フィルタブラシに、「ガンマ(HLS)」が追加されました。

** バグ修正 **
・壊れた npf 形式画像を開いたとき、例外の発生により強制終了すること
があったのを、正常にエラー処理されるように修正しました。

** 注意点 **
・スクリプトのバージョンが変更されました。1.0.0 で作成したスクリプト
ファイルは、0.9.99 以前のバージョンでは再生できません。


=== 0.9.99 (2009/11/05) =============================================
** お知らせ **
・アプリケーション名が「よつばペイント」になりました。これを製品名と
致します。
ただし、開発名の 4thPaint は内部名として、環境フォルダパス名やレジス
トリキー名などにそのまま残っています。

** 新機能 **
・フィルタブラシに、「コントラスト」「ガンマ(全体)」「ガンマ(成分)」
「色の調整」「グレイ」が追加されました。
・ブラシモードに「色成分置換」が追加されました。画像の色を、描画色の
「色相」「彩度」「明度」成分で置き換えます。

** 変更点 **
・「フィルタ」ブラシで「演算モード」が有効になってしまっていたのを削
除しました。「フィルタ」ブラシでは「演算モード」はサポートされません。
・レイヤウインドウのレイヤパネルの「目アイコン」を Alt+クリックした
とき、クリッピンググループに属しているレイヤでは、その親レイヤが表示
対象になるようになりました。
・ファイル保存の有効期間が 11/25 に延長されました。

** バグ修正 **
・水彩ブラシ全般での色を混合するときの色の参照位置が、常にブラシ設定
半径が基準になっていたのを、筆圧による描画時のブラシ半径が基準になる
ように修正しました。(*1)
・色ジッターが、正常に機能しないことがあったのを修正しました。
(0.9.97 以降でのみ発生)
・トーン集を開いたとき、まれに例外が発生することがあったのを修正しま
した。

** 注意点 **
・フィルタブラシ「色の調整」と「色成分置換」ブラシは、動作がかなり重
いため、ブラシの間隔%を大きめにするなどしてください。
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョン
とではその再生結果が異なります。
・スクリプトのバージョンが変更されました。0.9.99 で作成したスクリプ
トファイルは、0.9.98 以前のバージョンでは再生できません。


=== 0.9.98 (2009/10/23) =============================================
** 新機能 **
・ブラシモードに「フィルタ」が追加されました。フィルタブラシには、
「シャープ」と「中間値」の2つのモードがあります。「中間値」はかなり
動作が重いため、「強さ」を大きくしたときは動作速度に注意が必要です。

** 変更点 **
・ファイル保存の有効期間が 11/10 に延長されました。

** 注意点 **
・スクリプトのバージョンが変更されました。0.9.98 で作成したスクリプ
トファイルは、0.9.97 以前のバージョンでは再生できません。


=== 0.9.97 (2009/10/13) =============================================
** 新機能 **
・Windows7 に正式対応しました。
・レイヤウインドウで、レイヤパネルの目アイコンの「Alt+クリック」で
「そのレイヤ以外隠す」、そのレイヤのみが表示されているときは「すべて
のレイヤを表示」する機能に対応しました。
・選択範囲ウインドウにある「マスク=>選択範囲」ツールボタンで、[Shift
+クリック]マスク+>選択範囲、[Alt+クリック]マスク->選択範囲、[Shift+
Alt+クリック]マスクx>選択範囲、に対応しました。
(Ctrl+マスクパネルクリックによる同一操作からCtrlを除いたのに同じ)

** 変更点 **
・ウインドウメニュー「すべてのツール配置を初期化」したとき、Windows
Vista/7 ではウインドウ配置位置が適切ではなかったのを修正しました。
・レイヤウインドウと選択範囲ウインドウにあるツールボタン上にカーソル
があるときも、ステータスバーにヘルプが表示されるようになりました。
・レイヤウインドウのレイヤパネル上にカーソルがあるときにステータスバ
ーに表示されるヘルプが少し変更されました。
・ファイル保存の有効期間が 10/31 に延長されました。

** バグ修正 **
・ペン先濃度分布で add/flat を 100 にしたとき、微妙に最大濃度になっ
ていないことがあったのを修正しました。 (*1)
・画像ペン先を使用しているとき、ブラシ間隔が微妙に不正確になることが
あったのを修正しました。 (*2)

** 注意点 **
・スクリプトのバージョンが変更されました。0.9.97 で作成したスクリプ
トファイルは、0.9.96 以前のバージョンでは再生できません。
・スクリプトを再生したとき、(*1)(*2) に関係した部分は、以前のバージ
ョンとではその再生結果が微妙に異なることがあります。


=== 0.9.96 (2009/10/02) =============================================
** 新機能 **
・「文字入力ツール」「文字選択ツール」で文字入力ダイアログを表示して
いるとき、用紙上のクリックによる文字の描画開始位置の変更に対応しまし
た。これに伴い、文字入力ダイアログ表示中でも他のウインドウの操作が可
能になりました。ただしダイアログ表示中は、ほかのすべての描画コマンド
は実行できません。

** 変更点 **
・高精細表示で「面積平均法」を使用して縮小表示しているときの、表示精
度が改善されました。以前まであった表示上の微妙な歪みやブロック境界で
のズレが解消されています。
・取り込み画像ペン先をズームで縮小したときの、ペン先形状の精度が改善
されました。 (*1)
・ファイル保存の有効期間が 10/20 に延長されました。

** バグ修正 **
・円形ペンで円を一点描画したとき、円形状が微妙に左右対称になっていな
いことがあったのを修正しました。(0.9.95 でのみ発生)
・「文字選択ツール」での文字のプレビュー表示の濃さが、ブラシ濃度と同
じになってしまっていたのを修正しました。常に100%の濃さで表示されるよ
うになります。

** 注意点 **
・スクリプトを再生したとき、(*1) に関係した部分は、以前のバージョンと
ではその再生結果が微妙に異なります。


=== 0.9.95 (2009/09/22) =============================================
** 変更点 **
・円形ペン先形状の品質が、以前より向上しました。特に半径10以下のとき
に効果があります。(*1)
・ブラシツールの補間法が「なし」「簡易」のとき、ブラシ間隔の計算が以
前より正確に行われるようになりました。(*2)
・図形描画ツールで描画したときのブラシの間隔の計算が、以前より正確に
行われるようになりました。(*3)
・タブレットで、1024段階以外の筆圧に正式に対応しました。
・環境設定「タブレット」の「筆圧感度補正」に、現在のタブレットに認識
状態が表示されるようになりました。また、タブレットが1024段階筆圧でな
いときには、例えば [最大筆圧 2047 を 1024 に換算して表示] のような表
示になります。
・バージョン情報の Tablet の項に、タブレットの最大筆圧レベルが表示さ
れるようになりました。
・ファイル保存の有効期間が 10/10 に延長されました。

** バグ修正 **
・スクリプトを含む npf 画像を開いたとき、スクリプトのデータの整合性
が破損することがあったのを修正しました。

** 注意点 **
・スクリプトを再生したとき、(*1)(*2)(*3) に関係した部分は、以前のバー
ジョンとではその再生結果が微妙に異なります。


=== 0.9.94 (2009/09/14) =============================================
** 新機能 **
・組み込みの円形ペン先形状が、キャッシュされるようになりました。ただ
し、(メモリを消費しすぎるため)事前作成は最小限しか行われないので、大
きな半径のブラシは一度使用しないとキャッシュされません。(*1)
・「選択レイヤ変型ツール」で、辺中央の□のやや外側を Ctrl+ドラッグ
することによって、その辺の長さを変更できるようになりました。
・グレースケール/フルカラー PNG での、キーカラーによる透明付き読み込
みに対応しました。(キーカラーは1色のみ対応)

** 変更点 **
・「レイヤの読み込み」をしたとき、開いたファイル名が「レイヤ名」にな
るようになりました。
・「レイヤの保存」「レイヤの読み込み」で、最後に選択されていたファイ
ル形式が記憶されるようになりました。
・ファイル保存の有効期間が 10/05 に延長されました。

** バグ修正 **
・0.9.93 で、取り込み画像ペン先を縮小するときの使用アルゴリズムが、
以前とは変わってしまっていたのを元に戻しました。(0.9.93 でのみ発生)
・「選択レイヤ変型ツール」で自由変型しているとき、バウンディングボッ
クスにある□やや外側のカーソル位置が、正常に認識されなくなることがあ
ったのを修正しました。
・16bit グレースケール PNG が正常に開けなかったのを修正しました。

** 注意点 **
・ペン先形状のキャッシュ機能(*1) は比較的危険な変更であるため、何ら
かのバグが発生する可能性があります。この機能は、次の設定で無効にする
ことができます。(extend.ini [brush] brushCacheType 参照)

** extend.ini 変更点 **
・新規：ブラシキャッシュの動作設定 [brush] brushCacheType


=== 0.9.93 (2009/09/03) =============================================
** 新機能 **
・レイヤメニューに「レイヤの読み込み」が追加されました。BMP/JPG/PNG
画像を新規レイヤとして挿入できます。BMP/PNG では透明度付き画像にも対
応しています。
・パレット形式 PNG での、透明付き読み込みに対応しました。これに伴い、
そのような PNG を開いたときでは、背景色設定があっても無視されるよう
になりました。

** 変更点 **
・直線描画ツールなどでの、15度単位描画時の座標が少し調整されました。
・「レイヤの保存」をするときの既定のファイル名が、「ファイル名_レイ
ヤ名」に変更されました。
・ファイル保存の有効期間が 9/25 に延長されました。

** バグ修正 **
・取り込み画像ペン先でペンのサイズのズームをすると、画像の右端と下端
が切れてしまったり、四隅に点が描画されてしまうことがあったのを修正し
ました。(*1)

** 注意点 **
・(*1) の変更のため、取り込み画像ペン先をズームしたときの形状は、ス
クリプト再生時も含め、以前のバージョンとでは微妙に異なることがありま
す。


=== 0.9.92 (2009/08/22) =============================================
** 変更点 **
・ブラシ描画でのペン形状の作成が数倍高速化されました。これにより、径
の大きいブラシでの描き始めの引っかかりが改善されました。(要SSE/SSE2)
・ファイルを開くダイアログでのプレビュー表示で、サムネイルのないPSD
の半透明表示に対応しました。
・前回の長いファイル名に対する対応は不完全なため撤回されました。開け
るパスの最大長は半角260文字に制限されます。(非UNICODE対応)
・ファイル保存の有効期間が 9/10 に延長されました。

** バグ修正 **
・自動選択ツールで、対象がアクティブレイヤで範囲が0 のとき、レイヤの
透明部分を選択すると例外が発生することがあったのを修正しました。
・パレット形式のPNG画像で、正常に開けないものがあったのを修正しまし
た。
・PSD を開いたとき、新たにレイヤを追加するときのレイヤ通し番号が、1
つズレてしまっていたのを修正しました。
・起動時に開く画像ファイルを指定したとき、用紙の表示位置が正しくセン
タリングされないことがあったのを修正しました。
・ファイルに名前を付けて保存するとき、保存ダイアログの「ファイル名」
が常に空欄になってしまっていたのを修正しました。(0.9.91 でのみ発生)


=== 0.9.91 (2009/08/12) =============================================
** 変更点 **
・カラーパレットなどのアイテムをドラッグ移動するときの、ハイライト表
示が変更されました。
・レイヤメニューで「透明部分の操作」が「透明部分の色の操作」に名称変
更されました。
・ファイル保存の有効期間が 8/31 に延長されました。

** バグ修正 **
・用紙に余白を追加したとき、レイヤに追加された余白の色が黒になってい
たのを、レイヤモード初期化色に修正しました。
・長いパスのファイルが正常に開けなかったのを修正しました。扱えるファ
イルのパスの長さの最大値は 2048 まで拡大されました。
・画像保存ダイアログで、名前を拡張子なしで指定したとき、ファイルの上
書き確認が行われていなかったのを修正しました。
・一部の 1bpp PNG が、正常に開けなかったのを修正しました。
・ウインドウサイズより小さい画像を開いたとき、最初の画像の表示位置が
画面中央にならないことがあったのを修正しました。


=== 0.9.90 以前 =====================================================
これ以前の更新情報は、ヘルプを参照ください。

[end of file]
